/**
  ******************************************************************************
  * @file    stm8_eval.c
  * @author  MCD Application Team
  * @version V2.1.0
  * @date    09/24/2010
  * @brief   This file provides firmware functions to manage Leds, push-buttons
  *          and COM ports available on STM8L Evaluation Boards from STMicroelectronics.
  ******************************************************************************
  * @copy
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2010 STMicroelectronics</center></h2>
  */

// Includes ------------------------------------------------------------------
#include "stm8_eval.h"

 // @addtogroup Utilities

/** @defgroup STM8_EVAL
  * @brief This file provides firmware functions to manage Leds, push-buttons
  *        and COM ports available on STM8 Evaluation Boards from STMicroelectronics.
  * @{
  */

 // @defgroup STM8_EVAL_Abstraction_Layer

#ifdef USE_STM8L1526_EVAL
#include "stm8l1526_eval/stm8l1526_eval.c"
#elif defined USE_STM8L1528_EVAL
#include "stm8l1528_eval/stm8l1528_eval.c"
#else
#error "Please select first the STM8 EVAL board to be used (in stm8_eval.h)"
#endif

 // @defgroup STM8_EVAL_Private_TypesDefinitions


 // @defgroup STM8_EVAL_Private_Defines


 // @defgroup STM8_EVAL_Private_Macros


 // @defgroup STM8_EVAL_Private_Variables


 // @defgroup STM8_EVAL_Private_FunctionPrototypes


 // @defgroup STM8_EVAL_Private_Functions




